/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.management.j2ee;

/**
 * MBean interface.
 */
public interface ResourceAdapterMBean extends org.jboss.management.j2ee.J2EEManagedObjectMBean
{

   javax.management.ObjectName getJBossServiceName();

   javax.management.ObjectName getJcaResource();

   javax.management.ObjectName getjcaResource();

   void addChild(javax.management.ObjectName j2eeName);

   void removeChild(javax.management.ObjectName j2eeName);

}
